# dnpLab - Bringing the Power of Python to DNP-NMR Spectroscopy

dnpLab is a collaboration between:
- [Bridge12 Technologies, Inc.](http://www.bridge12.com/)
- [Han Lab UCSB](https://han.chem.ucsb.edu/)
- [Franck Lab Syracuse University](https://jmfrancklab.github.io/)

Authors:
Timothy Keller, Thomas Casey, Yanxian Lin, John Franck, Thorsten Maly, Songi Han

dnpLab is an open-source, python library for importing and processing DNP-NMR data.

# Features

  - Import DNP-NMR data from Topspin, VnmrJ, and Prospa formats
  - Construct N-dimensional data objects easily
  - Processing data: including window, zero-filling, Fourier transforms, alignment, etc.

# Requirements

  - Python 3.6 or Later
  - odnpLab requires: numpy, matplotlib, scipy, h5py, PyQt5

To install the required packages, perform:
```console
pip install numpy matplotlib scipy h5py PyQt5
```

# Installation

dnpLab can be installed via pip:

```console
pip install dnpLab
```

# Documenation

Find the online documentation at: http://docs.dnplab.net

# Developement 

  - Clone the git repository from https://github.com/DNPLab/dnpLab